
    #label scene0:
    #if _in_replay:
        #$ cname = persistent.Gal_F_Name
        #$ lname = persistent.Gal_L_Name
        #$ cnick = persistent.Gal_N_Name

    #if _in_replay:
        #scene black with dissolve
        #$ renpy.end_replay()

default Shaddy_Replay = False
default persistent.galleryNameSet = False

label galleryNameChange:
    scene black
    if persistent.galleryNameSet:
        return
    else:
        if persistent.mc_name == "" or "None":
            scene image("images/ep2/001.webp") with fade
            $ persistent.mc_name = renpy.input("What is your name?", default="Chris").strip()
            $ chris_name = persistent.mc_name

        if persistent.w_name == "" or "None":
            scene image("images/ep1/004.webp") with fade
            $ persistent.w_name = renpy.input("My wife, the love of my life. What is her name?", default="Sandra").strip()

        if persistent.d_name == "" or "None":
            scene image("images/ep1/034.webp") with fade
            $ persistent.d_name = renpy.input("This is our [daughter]. What is her name?", default="Emily").strip()
            if renpy.loadable("ShaddyMod/mod_A_patch.rpy"):
                call mod_patch_vars

        $ persistent.galleryNameSet = True
        return


label galleryRename:
    scene image("images/ep2/001.webp") with fade
    $ persistent.mc_name = renpy.input("What is your name?", default="Chris").strip()
    $ chris_name = persistent.mc_name

    scene image("images/ep1/004.webp") with fade
    $ persistent.w_name = renpy.input("My wife, the love of my life. What is her name?", default="Sandra").strip()

    scene image("images/ep1/034.webp") with fade
    $ persistent.d_name = renpy.input("This is our [daughter]. What is her name?", default="Emily").strip()
    if renpy.loadable("ShaddyMod/mod_A_patch.rpy"):
        call mod_patch_vars

    call screen sceneReplay1


screen sceneReplay1():
    tag menu
    modal True

    add "#000"
    add Transform("shaddyMod/images/ShaddyBG.jpg", zoom=1.0) xcenter 0.5 ycenter 0.5 alpha 0.65

    text "ShaddyModda's Scene Gallery":
        style "shaddyHeader"
        xcenter 0.5
        ycenter 40

    $ gallery_scene_list=[]
    $ gallery_scene_list.append(["scene001","images/ep1/004.webp"])
    $ gallery_scene_list.append(["scene002","images/ep1/054.webp"])
    $ gallery_scene_list.append(["scene003","images/ep2/073.webp"])

    vpgrid:
        cols 2
        xspacing 500
        yspacing 50
        align(0.5,0.5)

        for i in gallery_scene_list:
            imagebutton:
                idle Transform((i[1]),zoom=0.15)
                hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.20)), zoom=0.15)
                action Replay(i[0],locked=False)

    #textbutton "PAGE 1":
        #text_style "shaddyTextButton1"
        #pos(0.025,0.26)
        #action [Show("sceneReplay1")]

    #textbutton "PAGE 2":
        #text_style "shaddyTextButton1"
        #pos(0.025,0.32)
        #action [Show("sceneReplay2")]

    #textbutton "PAGE 3":
        #text_style "shaddyTextButton1"
        #pos(0.025,0.38)
        #action [Show("sceneReplay3")]

    textbutton "RETURN":
        text_style "shaddyTextButton1"
        align(0.5,1.0)
        action Hide("sceneReplay1"), SetVariable("Shaddy_Replay", False), Return()

    imagebutton:
        align(1.0,1.0)
        idle Transform("shaddyMod/images/Patreon_Button.jpg", zoom=0.4)
        hover Transform(im.MatrixColor("shaddyMod/images/Patreon_Button.jpg", im.matrix.colorize("#f00", "#009dff")), zoom=0.4)
        action OpenURL("https://www.patreon.com/ShaddyModda")
